/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History]
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2006/05/29   Fujitsu)Yositake      First Version 
 */
package org.naregi.pse.acs.client;

import javax.xml.namespace.QName;

/**
 * QName constants for ACS service.
 */
public interface ACSQNames {
        
	// namespace for Application Repository Interface (ARI)
	public static final String ARI = "http://schemas.ggf.org/acs/2006/04/ari";

	// namespace for Application Archive Descriptor (AAD)
	public static final String AAF = "http://schemas.ggf.org/acs/2006/04/aaf";	

	// Resource property for Application Repository
	public static final QName AR_RESOURCE_PROPERTIES = new QName(ARI, "RepositoryProperties");
	
	public static final QName AR_RP_VERSION = new QName(ARI, "Version");

	public static final QName AR_RP_TRANSPORT_TYPE = new QName(ARI, "TransportType");

	public static final QName AR_RP_TRANSPORT_METHOD = new QName(ARI, "TransportMethod");
	
	public static final QName AR_RP_QUERY_EXPRESSION_DIALECT = new QName(ARI, "QueryExpressionDialect");
	
	public static final QName AR_RP_CREATED_MESSAGE = new QName(ARI, "ApplicationArchiveCreatedMessage");
	
	public static final QName AR_RP_FAULT_MESSAGE = new QName(ARI, "FaultMessage");

	public static final QName AR_RESOURCE_REFERENCE = new QName(ARI, "ApplicationRepositoryResourceReference");


	// Resource property for Application Archive
	public static final QName AA_RESOURCE_PROPERTIES = new QName(ARI, "ArchiveProperties");
	
	public static final QName AA_RP_STATE = new QName(ARI, "State");

	public static final QName AA_RP_AAD = new QName(AAF, "AAD");

	public static final QName AA_RP_DIFF_AAD = new QName(AAF, "DifferentialAAD");

	public static final QName AA_RP_CREATION_DATETIME = new QName(ARI, "CreationDateTime");
	
	public static final QName AA_RP_BASEAA = new QName(ARI, "BaseAA");
	
	public static final QName AA_RP_NEWERAA = new QName(ARI, "NewerAA");
	
	public static final QName AA_RP_REPOSITORY = new QName(ARI, "Repository");
	
	public static final QName AA_RP_QUERY_EXPRESSION_DIALECT = new QName(ARI, "QueryExpressionDialect");
	
	public static final QName AA_RP_UPDATED_MESSAGE = new QName(ARI, "ApplicationArchiveUpdatedMessage");

	public static final QName AA_RP_FAULT_MESSAGE = new QName(ARI, "FaultMessage");

	public static final QName AA_RESOURCE_REFERENCE = new QName(ARI, "ApplicationArchiveResourceReference");

	public static final QName URL = new QName("http://www.naregi.org/acs/2006/04/url", "URL", "nrg");

	// resource key for ApplicationRepository
	public static final QName AR_RESOURCE_KEY = 
			new QName("http://www.naregi.org/namespace/acs/2006/04/ApplicationRepository", 
						"ApplicationRepositoryResourceKey");
}
