/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History]
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2006/06/02   Fujitsu)Yositake      First Version
 */

package org.naregi.pse.acs.client.databean;


public class AcsFileInfo {

	public static final int ADD = 0;
	public static final int DELETE = 1;
	public static final int REPLACE = 2;
	
	private String absoluteFilePath;
	private String relativeFilePath;
	private String typeString;
	private int operation = -1;
	private int transMethod = -1;
	private GsiFTPInfo gsiFTPInfo;
	

	synchronized public static String getStringFromInt(int _operation){
		
		String ret = null;
		
		if(_operation == ADD){
			ret = "add";
		}else if(_operation == DELETE){
			ret = "delete";
		}else if(_operation == REPLACE){
			ret = "replace";
		}
		
		return ret;
	}

	/**
	 * @return
	 */
	public String getRelativeFilePath() {
		return relativeFilePath;
	}

	/**
	 * @param string
	 */
	public void setRelativeFilePath(String string) {
		relativeFilePath = string;
	}

	/**
	 * see static fields of this class
	 * @return
	 */
	public int getOperation() {
		return operation;
	}

	/**
	 * see static fields of this class
	 * @param i
	 */
	public void setOperation(int i) {
		operation = i;
	}

	/**
	 * @return
	 */
	public String getAbsoluteFilePath() {
		return absoluteFilePath;
	}

	/**
	 * @param string
	 */
	public void setAbsoluteFilePath(String string) {
		absoluteFilePath = string;
	}

	/**
	 * @return
	 */
	public String getTypeString() {
		return typeString;
	}

	/**
	 * @param string
	 */
	public void setTypeString(String string) {
		typeString = string;
	}

	/**
	 * @return
	 */
	public int getTransMethod() {
		return transMethod;
	}

	/**
	 * @param i
	 */
	public void setTransMethod(int i) {
		transMethod = i;
	}

	/**
	 * @return
	 */
	public GsiFTPInfo getGsiFTPInfo() {
		return gsiFTPInfo;
	}

	/**
	 * @param info
	 */
	public void setGsiFTPInfo(GsiFTPInfo info) {
		gsiFTPInfo = info;
	}

}