/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2004/08/09   Fujitsu)Koga          First Version 
 */
package org.naregi.pse.ap.common;

import java.util.ResourceBundle;
/**
 * PSESystemInfo
 * This Class use Singleton Patern.
 * 
 * @author Fujitsu)koga
 *
 */
public class PSESystemInfo {
    /** This is class object. */
    private static PSESystemInfo pseInfo;
    /** This is the property of file name. */
    public static final String FILE_NAME = "PSESystemInfo";
    /** This is ResourceBundle Object. */
    private ResourceBundle bundle = null;
    
    /**
     * get an instance of this class.
     * @return PSESystemInfo
     */
    public static PSESystemInfo getInstance() {
        if(pseInfo == null){
            pseInfo = new PSESystemInfo();
        }
        return pseInfo;
    }

    /**
     * Constructor
     */
    private PSESystemInfo() {

          bundle = ResourceBundle.getBundle(FILE_NAME);
          
    }
    
    /**
     * get the value of specified property.
     * @param key
     * @return String
     */
    public String getProperty(String key){
        
        String value = "";
        value = bundle.getString(key);

        return value;       
    }
    
    /**
     * This is main method for test.
     * 
     * @param args
     */
    public static void main(String[] args){
        System.out.println(""+System.getProperty("path"));
        PSESystemInfo info = PSESystemInfo.getInstance();
        System.out.println(info.getProperty("DB_URL"));
        System.out.println(info.getProperty("DB_USER_NAME"));
        System.out.println(info.getProperty("DB_USER_PASSWORD"));
                        
    }
}
