/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History]
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2005/09/12   Fujitsu)Yositake      First Version 
 */
 
package org.naregi.pse.acs.service.impl.property;

import java.util.ResourceBundle;

import org.apache.log4j.Logger;

/**
 * PSESystemInfo
 * This Class use Singleton Patern.
 * 
 * @author Fujitsu)koga
 *
 */
public class ACSSystemInfo {

	/** This is class object. */
	private static ACSSystemInfo pseInfo;

	/** This is the property of file name. */
	public static final String FILE_NAME = "ACSSystemInfo";

	/** This is ResourceBundle Object. */
	private ResourceBundle bundle = null;

	private static Logger log = Logger.getLogger(ACSSystemInfo.class.getName());
	
	/**
	 * 
	 * 
	 * @return PSESystemInfo
	 */
	public static ACSSystemInfo getInstance() throws Exception {
		if(pseInfo == null){
			pseInfo = new ACSSystemInfo();
		}
		return pseInfo;
	}

	/**
	 * Constructor
	 * 
	 */
	private ACSSystemInfo() throws Exception {

		  try{
				bundle = ResourceBundle.getBundle(FILE_NAME);
		  }catch(Exception e){
		  	log.info("Failed to Read Property File.", e);
		  	throw new Exception("Failed to Read Property File.");
		  }
	}
	
	/**
	 * 
	 * @param key
	 * @return
	 */
	public String getProperty(String key){
		
		String value = "";
		value = bundle.getString(key);

		return value;		
	}
}
