/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History]
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2005/09/13   Fujitsu)Koga          First Version 
 */
package org.naregi.pse.ap.batch.acscleaner;

import java.io.IOException;
import java.net.Socket;

/**
 * @author Koga
 * Stop "StartFileManagerBatch".
 * 
 * 
 */
public class ACSStopFileManagerBatch {
	
	// Host Name
	private static final String HOST_NAME = "localhost";
	// Port Number for Socket
	private static final int PORT_NUMBER = 9000;
	// Socket
	private Socket socket;
	
	/**
	 * Batch processing end
	 * 
	 * @param hostName
	 * @param portNumber
	 */
	private void stopBatch(String hostName, int portNumber){
		try{
			try{
				// Create the Socket.
				socket = new Socket(hostName, portNumber);
			} finally {
				if( socket != null){
					// Close the Socket.
					socket.close();
				}
			}
		} catch (IOException e){
			System.out.println("Failed to stop. Make sure ACSCleaner is running.");
			e.printStackTrace();
		}
	}

	/**
	 * This is main method.
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		// Host Name
		String hostName = HOST_NAME;
		// Port Number
		int portNumber = PORT_NUMBER;
		
		if(args.length!=2){
			System.out.println("Usage: java ACSStopFileManagerBatch [HostName] [PortNumber]");
			return;
		}
		// Input Parameter 0
		hostName = args[0];
		// Input Parameter 1
		portNumber = Integer.parseInt(args[1]);
		// Create StopServerInfoBatch
		ACSStopFileManagerBatch stopBatch = new ACSStopFileManagerBatch();
		// Stop processing
		stopBatch.stopBatch(hostName, portNumber);
	}		
}
